version: '3.1'

services:
  a_level_php:
    build: ./php
    platform: linux/arm64/v8
    container_name: a_level_php
    volumes:
      - ../server:/var/www/html
    ports:
      - '8055:80'
    environment:
      APP_URL:
      WEB_DOCUMENT_ROOT: /var/www/html/public
      WEB_DOCUMENT_INDEX: index.php
#      PHP_DATE_TIMEZONE: 'UTC + 5'
      PHP_MEMORY_LIMIT: 2048M
      PHP_UPLOAD_MAX_FILESIZE: 512M
      PHP_POST_MAX_SIZE: 512M
      PHP_DISPLAY_ERRORS: 1
      php.xdebug.max_nesting_level: 500
      XDEBUG_MODE: coverage
#      FPM_PROCESS_MAX: '128'
#      FPM_RLIMIT_CORE: 1
#      FPM_PM_MAX_CHILDREN: 10
#      FPM_PM_START_SERVERS: 5
#      FPM_PM_MIN_SPARE_SERVERS: 1
#      FPM_PM_MAX_SPARE_SERVERS: 2

    depends_on:
      - a_level_mysql

  a_level_mysql:
    build: ./mysql/
    platform: linux/arm64/v8
    container_name: a_level_mysql
    environment:
      MYSQL_ROOT_PASSWORD: myapp
      MYSQL_DATABASE: iq
      MYSQL_USER: myapp
      MYSQL_PASSWORD: myapp
      MYSQL_ROOT_HOST: '%'
    ports:
      - '8005:3306'
    volumes:
      - ../a_level_mysql-db:/var/lib/mysql

  phpmyadmin:
    image: phpmyadmin
    restart: always
    ports:
      - '8006:80'
    environment:
      PMA_ARBITRARY: 0
      PMA_HOST: 'a_level_mysql'
      MYQL_ROOT_PASSWORD: 'myapp'
    depends_on:
      - a_level_mysql

  redis_a_level:
    container_name: redis_a_level
    image: redis
    platform: linux/arm64/v8
    volumes:
      - ../redis:/data
#      - ./redis/redis.conf:/usr/local/etc/redis/redis.conf
    ports:
      - '6379:6379'
    command: redis-server --appendonly yes --requirepass "123123123"
#    restart: unless-stopped
    depends_on:
      - a_level_php

volumes:
  a_level_mysql-db:

